MsWksDBParserInternal::SerialFormula Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
MsWksDBParserInternal::SerialFormula Class Reference

a class to store the serial data which code a auto increment column with potential prefix and suffix in v4. More...

## Public Member Functions
| SerialFormula ()
| the constructor More...
void | updateContent (double value, MWAWCellContent &content) const
| update a content (knowing the value) More...

## Public Attributes
long | m_increment
| the increment More...
long | m_nextValue
| the first value More...
std::string | m_prefix
| the prefix More...
std::string | m_suffix
| the suffix More...

## Friends
std::ostream & | operator<< (std::ostream &o, SerialFormula const &form)
| operator<< More...

## Detailed Description

a class to store the serial data which code a auto increment column with potential prefix and suffix in v4.

## Constructor & Destructor Documentation

MsWksDBParserInternal::SerialFormula::SerialFormula | ( |  | ) |
| inline

the constructor

## Member Function Documentation

void MsWksDBParserInternal::SerialFormula::updateContent | ( | double | value,
|  | MWAWCellContent & | content
| ) |  | const

update a content (knowing the value)

Referenced by SerialFormula().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SerialFormula const & | form
| ) |  |
| friend

operator<<

Referenced by MsWksDBParserInternal::FieldType::FieldType(), MsWksDBParserInternal::Form::Form(), MsWksDBParserInternal::Forms::Forms(), MsWksDBParserInternal::FormType::FormType(), and SerialFormula().

## Member Data Documentation

long MsWksDBParserInternal::SerialFormula::m_increment

the increment

Referenced by MsWksDBParserInternal::operator<<(), and MsWksDBParser::readSerialFormula().

long MsWksDBParserInternal::SerialFormula::m_nextValue

the first value

Referenced by MsWksDBParserInternal::operator<<(), and MsWksDBParser::readSerialFormula().

std::string MsWksDBParserInternal::SerialFormula::m_prefix

the prefix

Referenced by MsWksDBParserInternal::operator<<(), MsWksDBParser::readSerialFormula(), and updateContent().

std::string MsWksDBParserInternal::SerialFormula::m_suffix

the suffix

Referenced by MsWksDBParserInternal::operator<<(), MsWksDBParser::readSerialFormula(), and updateContent().

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx